de.esprit.netsuite.netdata.agent

## Class AgentId

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.appsuite.task.TaskId
      - - de.esprit.netsuite.rtask.RemoteTaskId
        - - de.esprit.netsuite.netdata.agent.AgentId

- All Implemented Interfaces:
    Renderable, DeepCloneable, Dumpable, java.io.Serializable, java.lang.Cloneable
  Direct Known Subclasses:
    SequencedAgentId, StreamAgentId, TransferAgentId

      public class AgentId
      extends RemoteTaskId

  The AgentId object provides a globally unique agent identifier which is used to identify an asynchronously running agent on the server (i.e. for canceling).
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AgentId(SessionId sessId, java.lang.String agentName)`
    `AgentId(SessionId sessId, java.lang.String agentName, RemoteTaskType taskType)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AgentId` | `clone()`
    `boolean` | `equals(java.lang.Object obj)` IMPORTANT Overridden to compare taskId as well as sessionId.
    `long` | `getCreationTs()`
    `java.lang.String` | `getRenderText()`
    `boolean` | `isNoReturn()`
    `boolean` | `isRejectable()`
    `void` | `setNoReturn(boolean isNoReturn)`
    `void` | `setRejectable(boolean state)`
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.

    - ### Methods inherited from class de.esprit.netsuite.rtask.RemoteTaskId

      `getKillerSessionId, getOwnerSessionId, getServerName, getSessionId, setCancelledBy, setOwnerSessionId, setSessionId`

    - ### Methods inherited from class de.esprit.appsuite.task.TaskId

      `getFinishTime, getName, getRenderColor, getRenderIcon, getStartTime, getState, getTID, getType, hashCode, isFinished, isRunning, setFinished, setName, setRunning, setType, toDumpString`

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `deepClone`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AgentId

          public AgentId(SessionId sessId,
                 java.lang.String agentName)

    - #### AgentId

          public AgentId(SessionId sessId,
                 java.lang.String agentName,
                 RemoteTaskType taskType)

  - ### Method Detail

    - #### isRejectable

          public final boolean isRejectable()

    - #### setRejectable

          public final void setRejectable(boolean state)

    - #### isNoReturn

          public boolean isNoReturn()

    - #### setNoReturn

          public final void setNoReturn(boolean isNoReturn)

    - #### getCreationTs

          public final long getCreationTs()

    - #### getRenderText

          public java.lang.String getRenderText()

      Specified by:
        `getRenderText` in interface `Renderable`
      Overrides:
        `getRenderText` in class `RemoteTaskId`

    - #### clone

          public AgentId clone()

      Overrides:
        `clone` in class `RemoteTaskId`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Description copied from class: `RemoteTaskId`
      IMPORTANT Overridden to compare taskId as well as sessionId.
      Overrides:
        `equals` in class `RemoteTaskId`

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `RemoteTaskId`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.